'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonBase = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _recompose = require('recompose');

var _ripple = require('../ripple');

var _Button = require('./Button.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ButtonBase = function ButtonBase(_ref) {
  var children = _ref.children,
      text = _ref.text,
      shouldShowRipple = _ref.shouldShowRipple,
      isDark = _ref.isDark,
      isRound = _ref.isRound,
      Button = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['children', 'text', 'shouldShowRipple', 'isDark', 'isRound', '__StyledComponent__']);

  return _react2.default.createElement(
    Button,
    props,
    _react2.default.createElement(
      _Button.ButtonInner,
      null,
      children || text,
      shouldShowRipple && _react2.default.createElement(_ripple.Ripple, { round: isRound, dark: isDark })
    )
  );
};

exports.ButtonBase = ButtonBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Button.StyledButton), (0, _recompose.setDisplayName)('Button'), (0, _recompose.setPropTypes)({
  text: _propTypes2.default.string,
  children: _propTypes2.default.node,
  ripple: _propTypes2.default.bool,
  fab: _propTypes2.default.bool,
  icon: _propTypes2.default.bool,
  href: _propTypes2.default.string,
  to: _propTypes2.default.string,
  disabled: _propTypes2.default.bool
}), (0, _recompose.defaultProps)({
  ripple: true
}), (0, _recompose.withProps)(function (props) {
  return {
    shouldShowRipple: props.ripple && !props.disabled && !props.icon,
    isDark: (props.raised || props.fab) && !(props.colored || props.accent || props.primary),
    isRound: props.fab || props.icon
  };
}));

exports.default = enhance(ButtonBase);
//# sourceMappingURL=Button.js.map