'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChipBase = undefined;

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _icons = require('../icons');

var _Chip = require('./Chip.style');

var _hocs = require('../../hocs');

var _ChipContact = require('./ChipContact');

var _ChipContact2 = _interopRequireDefault(_ChipContact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ChipBase = exports.ChipBase = function ChipBase(_ref) {
  var deletable = _ref.deletable,
      contact = _ref.contact,
      children = _ref.children,
      onClickDelete = _ref.onClickDelete,
      Styled = _ref.__StyledComponent__;
  return _react2.default.createElement(
    Styled,
    { deletable: deletable, contact: contact },
    contact && _react2.default.createElement(_ChipContact2.default, contact),
    children && _react2.default.createElement(
      _Chip.ChipText,
      null,
      children
    ),
    deletable && _react2.default.createElement(
      _Chip.ChipAction,
      { onClick: onClickDelete },
      _react2.default.createElement(_icons.Icon, { name: 'cancel' })
    )
  );
};

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Chip.ChipStyle), (0, _recompose.setDisplayName)('Chip'), (0, _recompose.setPropTypes)({
  deletable: _propTypes2.default.bool,
  contact: _propTypes2.default.shape({
    color: _propTypes2.default.string,
    textColor: _propTypes2.default.string,
    text: _propTypes2.default.string,
    src: _propTypes2.default.string
  }),
  children: _propTypes2.default.node,
  onClickDelete: _propTypes2.default.func
}));

exports.default = enhance(ChipBase);
//# sourceMappingURL=Chip.js.map