'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactModal = require('react-modal');

var _reactModal2 = _interopRequireDefault(_reactModal);

var _Dialog = require('./Dialog.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var style = {
  overlay: {
    position: 'fixed',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    backgroundColor: 'rgba(100, 100, 100, 0.3)',
    zIndex: 999,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    animation: _Dialog.fadeIn + ' 0.3s cubic-bezier(0.4, 0, 0.2, 1) forwards'
  },
  content: {
    position: 'reltive',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    height: 'auto',
    width: 'auto',
    background: 'transparent',
    zIndex: 1000,
    padding: 0,
    margin: 0,
    border: 0,
    overflow: 'visible'
  }
};

var DialogWrap = function DialogWrap(_ref) {
  var className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['className', 'children']);

  return _react2.default.createElement(
    _reactModal2.default,
    _extends({ style: style }, props),
    _react2.default.createElement(
      'div',
      { className: className },
      children
    )
  );
};

var Dialog = _Dialog.DialogStyle.withComponent(DialogWrap);

Dialog.displayName = 'Dialog';

exports.default = Dialog;
//# sourceMappingURL=Dialog.js.map