'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _recompose = require('recompose');

var _fp = require('lodash/fp');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Icon = function Icon(_ref) {
  var name = _ref.name,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['name', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    name
  );
};

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Icon.IconStyle), (0, _recompose.setDisplayName)('Icon'), (0, _recompose.setPropTypes)({
  xs: _propTypes2.default.bool,
  sm: _propTypes2.default.bool,
  lg: _propTypes2.default.bool,
  xl: _propTypes2.default.bool,
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  name: _propTypes2.default.string.isRequired,
  __StyledComponent__: _propTypes2.default.func.isRequired
}), (0, _recompose.withProps)(function (p) {
  return {
    size: (0, _fp.cond)([[(0, _fp.prop)('size'), (0, _fp.prop)('size')], [(0, _fp.prop)('xs'), (0, _fp.always)('12')], [(0, _fp.prop)('sm'), (0, _fp.always)('16')], [(0, _fp.prop)('lg'), (0, _fp.always)('32')], [(0, _fp.prop)('xl'), (0, _fp.always)('64')]])(p)
  };
}));

exports.default = enhance(Icon);
//# sourceMappingURL=Icon.js.map