'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Menu = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _recompose = require('recompose');

var _reactPortal = require('react-portal');

var _reactPortal2 = _interopRequireDefault(_reactPortal);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('./Menu.style');

var _hocs = require('../../hocs');

var _getRelativePosition = require('./getRelativePosition');

var _getRelativePosition2 = _interopRequireDefault(_getRelativePosition);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Menu = exports.Menu = function (_Component) {
  _inherits(Menu, _Component);

  function Menu() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Menu);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Menu.__proto__ || Object.getPrototypeOf(Menu)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      isVisible: false
    }, _this.setMenuPosition = function () {
      var control = (0, _getRelativePosition2.default)(_this.control);
      var position = {};
      if (_this.props.bottomRight) {
        position.left = control.right - _this.state.width;
        position.top = control.bottom;
      } else if (_this.props.topLeft) {
        position.left = control.left;
        position.top = control.top - _this.state.height;
      } else if (_this.props.topRight) {
        position.left = control.right - _this.state.width;
        position.top = control.top - _this.state.height;
      } else {
        position.left = control.left;
        position.top = control.bottom;
      }

      _this.setState(_extends({}, position));
    }, _this.handleOpen = function () {
      _this.openMenu = requestAnimationFrame(function () {
        if (_this.preventOpen) {
          return;
        }

        var menu = _this.menu.getBoundingClientRect();
        _this.setState({
          height: menu.height,
          width: menu.width
        });

        window.addEventListener('scroll', _this.setMenuPosition, true);
        _this.setState({ isVisible: true });
        _this.setMenuPosition();
      });
    }, _this.handleClose = function () {
      window.removeEventListener('scroll', _this.setMenuPosition, true);

      _this.closeMenu = requestAnimationFrame(function () {
        _this.setState({
          isVisible: false
        });
      });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Menu, [{
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('scroll', this.setMenuPosition, true);
      cancelAnimationFrame(this.closeMenu);
      cancelAnimationFrame(this.openMenu);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          children = _props.children,
          Styled = _props.__StyledComponent__,
          props = _objectWithoutProperties(_props, ['children', '__StyledComponent__']);

      var childrenWithProps = _react.Children.map(children, function (child) {
        return (0, _react.cloneElement)(child, {
          isVisible: _this2.state.isVisible,
          fadeDown: !props.topRight && !props.topLeft,
          getTransitionDelay: function getTransitionDelay() {
            return 0;
          }
        });
      });

      var control = (0, _react.cloneElement)(props.control, {
        onClick: function onClick() {
          _this2.preventOpen = _this2.state.isVisible;
        }
      });

      return _react2.default.createElement(
        _Menu.MenuControlWrap,
        null,
        _react2.default.createElement(
          _reactPortal2.default,
          {
            openByClickOn: _react2.default.createElement(
              'span',
              {
                ref: function ref(ctrl) {
                  _this2.control = ctrl;
                }
              },
              control
            ),
            closeOnOutsideClick: true,
            onOpen: this.handleOpen,
            onClose: this.handleClose
          },
          _react2.default.createElement(
            Styled,
            _extends({}, this.state, props, {
              onClick: function onClick() {
                setTimeout(function () {
                  return _this2.handleClose();
                }, 100);
              }
            }),
            _react2.default.createElement(_Menu.MenuOutline, _extends({}, this.state, props)),
            _react2.default.createElement(
              _Menu.MenuBase,
              _extends({}, this.state, props, {
                innerRef: function innerRef(menu) {
                  _this2.menu = menu;
                }
              }),
              childrenWithProps
            )
          )
        )
      );
    }
  }]);

  return Menu;
}(_react.Component);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Menu.MenuContainer), (0, _recompose.setPropTypes)({
  children: _propTypes2.default.node,
  control: _propTypes2.default.node,
  bottomRight: _propTypes2.default.bool,
  topLeft: _propTypes2.default.bool,
  topRight: _propTypes2.default.bool
}), (0, _recompose.setDisplayName)('Menu'));

exports.default = enhance(Menu);
//# sourceMappingURL=Menu.js.map