'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RippleBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _hocs = require('../../hocs');

var _helpers = require('./helpers');

var _Ripple = require('./Ripple.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RippleBase = exports.RippleBase = function (_Component) {
  _inherits(RippleBase, _Component);

  function RippleBase() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, RippleBase);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RippleBase.__proto__ || Object.getPrototypeOf(RippleBase)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      opacity: 0
    }, _this.handleMouseDown = function (e) {
      var coords = (0, _helpers.getRippleCoords)(e);
      var translate = 'translate(-50%, -50%) translate(' + coords + ')';
      var initalScale = ' scale3d(0.0001, 0.0001, 1)';
      var finalScale = ' scale3d(1, 1, 1)';
      _this.setState({
        size: _this.size,
        shouldAnimate: false,
        transform: translate + initalScale,
        opacity: 0.3
      });
      requestAnimationFrame(function () {
        _this.setState({
          shouldAnimate: true,
          transform: translate + finalScale
        });
      });
    }, _this.handleMouseUp = function () {
      _this.setState({ opacity: 0 });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(RippleBase, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.size = (0, _helpers.getRippleSize)(this.wrapper);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var Styled = this.props.__StyledComponent__;


      return _react2.default.createElement(
        Styled,
        {
          innerRef: function innerRef(wrapper) {
            _this2.wrapper = wrapper;
          },
          onMouseDown: this.handleMouseDown,
          onMouseUp: this.handleMouseUp,
          onMouseOut: this.handleMouseUp,
          onFocus: this.handleMouseDown,
          onBlur: this.handleMouseUp,
          className: this.props.className
        },
        _react2.default.createElement(_Ripple.RippleEffect, _extends({}, this.props, {
          style: {
            height: this.state.size,
            width: this.state.size,
            transform: this.state.transform,
            opacity: this.state.opacity,
            transitionProperty: this.state.shouldAnimate ? 'transform, width, height, opacity' : 'none'
          }
        }))
      );
    }
  }]);

  return RippleBase;
}(_react.Component);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Ripple.RippleWrap), (0, _recompose.setDisplayName)('Ripple'));

exports.default = enhance(RippleBase);
//# sourceMappingURL=Ripple.js.map