'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRippleSize = getRippleSize;
exports.getRippleCoords = getRippleCoords;

var _lodash = require('lodash');

var _util = require('../../util');

function isKeyboardClick(_ref) {
  var clientX = _ref.clientX,
      clientY = _ref.clientY;

  if (clientX === 0 && clientY === 0) {
    return true;
  }
  return false;
}

function getX(_ref2) {
  var clientX = _ref2.clientX,
      touches = _ref2.touches;

  return clientX !== undefined ? clientX : touches[0].clientX;
}

function getY(_ref3) {
  var clientY = _ref3.clientY,
      touches = _ref3.touches;

  return clientY !== undefined ? clientY : touches[0].clientY;
}

function getRippleSize(e) {
  if (!e) {
    return '0px';
  }

  var _e$getBoundingClientR = e.getBoundingClientRect(),
      width = _e$getBoundingClientR.width,
      height = _e$getBoundingClientR.height;

  return (0, _util.px)((0, _util.double)((0, _util.diagonalLength)(width, height)) + 2);
}

function getRippleCoords(e) {
  var rect = e.currentTarget.getBoundingClientRect();
  var height = rect.height,
      width = rect.width,
      left = rect.left,
      top = rect.top;

  var coords = isKeyboardClick(e) ? [width, height].map(_util.half) : [getX(e) - left, getY(e) - top];

  return coords.map(_lodash.round).map(_util.px).join(', ');
}
//# sourceMappingURL=helpers.js.map