'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _input = require('../../input');

var _Slider = require('./Slider.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SliderBase = exports.SliderBase = function (_Input) {
  _inherits(SliderBase, _Input);

  function SliderBase() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, SliderBase);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SliderBase.__proto__ || Object.getPrototypeOf(SliderBase)).call.apply(_ref, [this].concat(args))), _this), _this.state = _extends({}, _this.state, {
      value: _this.props.value || _this.props.defaultValue || _this.props.min,
      active: _this.props.active
    }), _this.handleMouseDown = function () {
      _this.setState({ active: true });
    }, _this.handleMouseUp = function (e) {
      _this.setState({ active: false });
      _this.handleBlur(e);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(SliderBase, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          max = _props.max,
          min = _props.min,
          Styled = _props.__StyledComponent__;
      var _state = this.state,
          active = _state.active,
          value = _state.value,
          focused = _state.focused;


      var percent = (value - min) / (max - min);

      return _react2.default.createElement(
        Styled,
        null,
        _react2.default.createElement(_Slider.SliderInput, {
          type: 'range',
          max: max,
          min: min,
          value: value,
          disabled: disabled,
          focused: focused,
          active: active,
          percent: percent,
          onInput: this.handleChange,
          onChange: this.handleChange,
          onBlur: this.handleBlur,
          onFocus: this.handleFocus,
          onMouseDown: this.handleMouseDown,
          onMouseUp: this.handleMouseUp
        }),
        _react2.default.createElement(_Slider.SliderBackground, {
          disabled: disabled,
          active: active,
          focused: focused,
          percent: percent
        })
      );
    }
  }]);

  return SliderBase;
}(_input.Input);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Slider.SliderContainer), (0, _recompose.setDisplayName)('Slider'), (0, _recompose.setPropTypes)({
  focused: _propTypes2.default.bool,
  autoFocus: _propTypes2.default.bool,
  active: _propTypes2.default.bool,
  value: _propTypes2.default.number,
  defaultValue: _propTypes2.default.number,
  disabled: _propTypes2.default.bool,
  min: _propTypes2.default.number,
  max: _propTypes2.default.number,
  onChange: _propTypes2.default.func,
  onBlur: _propTypes2.default.func,
  onFocus: _propTypes2.default.func
}));

exports.default = enhance(SliderBase);
//# sourceMappingURL=Slider.js.map