'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SnackbarBase = undefined;

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Action = require('./Action.style');

var _Message = require('./Message.style');

var _hocs = require('../../hocs');

var _Snackbar = require('./Snackbar.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SnackbarBase = function SnackbarBase(_ref) {
  var message = _ref.message,
      actionText = _ref.actionText,
      actionHandler = _ref.actionHandler,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['message', 'actionText', 'actionHandler', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    message && _react2.default.createElement(
      _Message.SnackbarMessage,
      null,
      message
    ),
    actionText && _react2.default.createElement(
      _Action.SnackbarAction,
      { onClick: actionHandler },
      actionText
    )
  );
};

exports.SnackbarBase = SnackbarBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Snackbar.SnackbarStyle), (0, _recompose.setDisplayName)('Snackbar'), (0, _recompose.setPropTypes)({
  message: _propTypes2.default.node,
  actionText: _propTypes2.default.string,
  actionHandler: _propTypes2.default.func
}));

exports.default = enhance(SnackbarBase);
//# sourceMappingURL=Snackbar.js.map