'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SwitchLabel = exports.Thumb = exports.Track = exports.SwitchButton = exports.SwitchStyle = exports.SwitchWrapStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  display: inline-block;\n'], ['\n  display: inline-block;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  position: relative;\n  z-index: 1;\n  vertical-align: middle;\n  display: inline-block;\n  box-sizing: border-box;\n  width: 100%;\n  height: ', 'px;\n  margin: 0;\n  padding: 0;\n  overflow: visible;\n  padding-left: ', 'px;\n  -webkit-touch-callout: none;\n  user-select: none;\n'], ['\n  position: relative;\n  z-index: 1;\n  vertical-align: middle;\n  display: inline-block;\n  box-sizing: border-box;\n  width: 100%;\n  height: ', 'px;\n  margin: 0;\n  padding: 0;\n  overflow: visible;\n  padding-left: ', 'px;\n  -webkit-touch-callout: none;\n  user-select: none;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  line-height: ', 'px;\n  position: absolute;\n  width: 0;\n  height: 0;\n  margin: 0;\n  padding: 0;\n  opacity: 0;\n  -ms-appearance: none;\n  -moz-appearance: none;\n  -webkit-appearance: none;\n  appearance: none;\n  border: none;\n  &:checked ~ div:first-of-type {\n    background: ', ';\n  }\n  &:checked ~ div:nth-of-type(2) {\n    background: ', ';\n    left: ', 'px;\n    ', ';\n  }\n'], ['\n  line-height: ', 'px;\n  position: absolute;\n  width: 0;\n  height: 0;\n  margin: 0;\n  padding: 0;\n  opacity: 0;\n  -ms-appearance: none;\n  -moz-appearance: none;\n  -webkit-appearance: none;\n  appearance: none;\n  border: none;\n  &:checked ~ div:first-of-type {\n    background: ', ';\n  }\n  &:checked ~ div:nth-of-type(2) {\n    background: ', ';\n    left: ', 'px;\n    ', ';\n  }\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  background: ', ';\n  position: absolute;\n  left: 0;\n  top: ', 'px;\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: ', 'px;\n  cursor: pointer;\n  ', ';\n'], ['\n  background: ', ';\n  position: absolute;\n  left: 0;\n  top: ', 'px;\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: ', 'px;\n  cursor: pointer;\n  ', ';\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n      border: 2px solid ', ';\n      cursor: auto;\n    '], ['\n      border: 2px solid ', ';\n      cursor: auto;\n    ']),
    _templateObject6 = _taggedTemplateLiteral(['\n  background: ', ';\n  position: absolute;\n  left: 0;\n  top: ', 'px;\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: 50%;\n  cursor: pointer;\n  ', ' ', ' transition-property: left;\n'], ['\n  background: ', ';\n  position: absolute;\n  left: 0;\n  top: ', 'px;\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: 50%;\n  cursor: pointer;\n  ', ' ', ' transition-property: left;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n  position: relative;\n  cursor: pointer;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  margin: 0;\n  left: 24px;\n  ', ';\n'], ['\n  position: relative;\n  cursor: pointer;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  margin: 0;\n  left: 24px;\n  ', ';\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n      color: ', ';\n      cursor: auto;\n    '], ['\n      color: ', ';\n      cursor: auto;\n    ']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

var _mixins = require('../../mixins');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var SwitchWrapStyle = exports.SwitchWrapStyle = (0, _recompose.setDisplayName)('SwitchWrapStyle')(_styledComponents2.default.div(_templateObject));

var SwitchStyle = exports.SwitchStyle = (0, _recompose.setDisplayName)('SwitchStyle')(_styledComponents2.default.label(_templateObject2, _util.getters.switchLabelHeight, function (_ref) {
  var theme = _ref.theme;
  return theme.switchTrackLength;
}));

var SwitchButton = exports.SwitchButton = (0, _recompose.setDisplayName)('SwitchButton')(_styledComponents2.default.input(_templateObject3, _util.getters.switchLabelHeight, _util.getters.switchTrackColor, _util.getters.switchThumbColor, function (_ref2) {
  var theme = _ref2.theme;
  return theme.switchTrackLength - theme.switchThumbSize;
}, (0, _mixins.shadow3dp)()));

var Track = exports.Track = (0, _recompose.setDisplayName)('Track')(_styledComponents2.default.div(_templateObject4, _util.getters.switchOffTrackColor, _util.getters.switchTrackTop, _util.getters.switchTrackHeight, _util.getters.switchTrackLength, _util.getters.switchTrackHeight, function (_ref3) {
  var disabled = _ref3.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject5, _util.getters.switchDisabledTrackColor);
}));

var Thumb = exports.Thumb = (0, _recompose.setDisplayName)('Thumb')(_styledComponents2.default.div(_templateObject6, _util.getters.switchOffThumbColor, _util.getters.switchThumbTop, _util.getters.switchThumbSize, _util.getters.switchThumbSize, (0, _mixins.shadow2dp)(), (0, _mixins.materialAnimationDefault)('0.28s')));

var SwitchLabel = exports.SwitchLabel = (0, _recompose.setDisplayName)('SwitchLabel')(_styledComponents2.default.span(_templateObject7, _util.getters.switchLabelFontSize, _util.getters.switchLabelHeight, function (_ref4) {
  var disabled = _ref4.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject8, _util.getters.switchDisabledTumbColor);
}));
//# sourceMappingURL=Switch.style.js.map