'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableIcon = exports.HeaderCell = exports.Cell = exports.Row = exports.TableBody = exports.TableHeader = exports.Table = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  position: relative;\n  border: ', ';\n  border-collapse: collapse;\n  white-space: nowrap;\n  font-size: ', 'px;\n  background-color: #fff;\n'], ['\n  position: relative;\n  border: ', ';\n  border-collapse: collapse;\n  white-space: nowrap;\n  font-size: ', 'px;\n  background-color: #fff;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  padding-bottom: 3px;\n\n'], ['\n  padding-bottom: 3px;\n\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  tr:hover {\n    background-color: ', ';\n  }\n'], ['\n  tr:hover {\n    background-color: ', ';\n  }\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  position: relative;\n  height: ', 'px;\n  ', ';\n  transition-property: background-color;\n  ', '\n'], ['\n  position: relative;\n  height: ', 'px;\n  ', ';\n  transition-property: background-color;\n  ', '\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n    background-color: ', ';\n  '], ['\n    background-color: ', ';\n  ']),
    _templateObject6 = _taggedTemplateLiteral(['\n  padding: 0 ', 'px 12px ', 'px;\n  text-align: right;\n\n  &:first-of-type {\n    padding-left: 24px;\n  }\n\n  &:last-of-type {\n    padding-right: 24px;\n  }\n\n  ', '\n'], ['\n  padding: 0 ', 'px 12px ', 'px;\n  text-align: right;\n\n  &:first-of-type {\n    padding-left: 24px;\n  }\n\n  &:last-of-type {\n    padding-right: 24px;\n  }\n\n  ', '\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n    text-align: left;\n  '], ['\n    text-align: left;\n  ']),
    _templateObject8 = _taggedTemplateLiteral(['\n  position: relative;\n  vertical-align: middle;\n  height: ', 'px;\n  border-top: ', ';\n  border-bottom: ', ';\n  padding-top: ', 'px;\n  box-sizing: border-box;\n'], ['\n  position: relative;\n  vertical-align: middle;\n  height: ', 'px;\n  border-top: ', ';\n  border-bottom: ', ';\n  padding-top: ', 'px;\n  box-sizing: border-box;\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n  position: relative;\n  vertical-align: bottom;\n  text-overflow: ellipsis;\n  ', '\n  height: ', 'px;\n  font-size: ', 'px;\n  color: ', ';\n  padding-bottom: 8px;\n  box-sizing: border-box;\n'], ['\n  position: relative;\n  vertical-align: bottom;\n  text-overflow: ellipsis;\n  ', '\n  height: ', 'px;\n  font-size: ', 'px;\n  color: ', ';\n  padding-bottom: 8px;\n  box-sizing: border-box;\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n  font-size: ', 'px;\n  margin-right: 5px;\n  vertical-align: bottom;\n'], ['\n  font-size: ', 'px;\n  margin-right: 5px;\n  vertical-align: bottom;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

var _icons = require('../icons');

var _mixins = require('../../mixins');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Table = exports.Table = _styledComponents2.default.table(_templateObject, _util.getters.dataTableDividers, _util.getters.dataTableFontSize);

var TableHeader = exports.TableHeader = _styledComponents2.default.thead(_templateObject2);

var TableBody = exports.TableBody = _styledComponents2.default.tbody(_templateObject3, _util.getters.dataTableHoverColor);

var Row = exports.Row = _styledComponents2.default.tr(_templateObject4, _util.getters.dataTableRowHeight, (0, _mixins.materialAnimationDefault)('0.28s'), function (_ref) {
  var isSelected = _ref.isSelected;
  return isSelected && (0, _styledComponents.css)(_templateObject5, _util.getters.dataTableSelectionColor);
});

var CellBase = _styledComponents2.default.td(_templateObject6, _util.getters.dataTableColumnPadding, _util.getters.dataTableColumnPadding, function (_ref2) {
  var nonNumeric = _ref2.nonNumeric;
  return nonNumeric && (0, _styledComponents.css)(_templateObject7);
});

var Cell = exports.Cell = CellBase.extend(_templateObject8, _util.getters.dataTableRowHeight, _util.getters.dataTableDividers, _util.getters.dataTableDividers, _util.getters.dataTableCellTop);

var HeaderCell = exports.HeaderCell = CellBase.withComponent('th').extend(_templateObject9, (0, _mixins.typoBody2)(), _util.getters.dataTableRowHeight, _util.getters.dataTableHeaderFontSize, _util.getters.dataTableHeaderColor);

var TableIcon = exports.TableIcon = _icons.Icon.extend(_templateObject10, _util.getters.dataTableHeaderSortIconSize);
//# sourceMappingURL=Table.style.js.map