'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextfieldBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _omit = require('lodash/omit');

var _omit2 = _interopRequireDefault(_omit);

var _input = require('../../input');

var _Textfield = require('./Textfield.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TextfieldBase = exports.TextfieldBase = function (_BaseInput) {
  _inherits(TextfieldBase, _BaseInput);

  function TextfieldBase() {
    _classCallCheck(this, TextfieldBase);

    return _possibleConstructorReturn(this, (TextfieldBase.__proto__ || Object.getPrototypeOf(TextfieldBase)).apply(this, arguments));
  }

  _createClass(TextfieldBase, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          Styled = _props.__StyledComponent__,
          props = _objectWithoutProperties(_props, ['__StyledComponent__']);

      var Component = props.multiLine ? _Textfield.Textarea : _Textfield.Input;
      return _react2.default.createElement(
        Styled,
        props,
        _react2.default.createElement(
          _Textfield.Label,
          _extends({}, props, this.state),
          props.label
        ),
        _react2.default.createElement(Component, _extends({}, (0, _omit2.default)(props, ['defaultValue']), this.state, {
          onChange: this.handleChange,
          onFocus: this.handleFocus,
          onBlur: this.handleBlur
        })),
        props.error && _react2.default.createElement(
          _Textfield.ErrorMessage,
          null,
          props.error
        ),
        props.helperText && _react2.default.createElement(
          _Textfield.HelperText,
          null,
          props.helperText
        )
      );
    }
  }]);

  return TextfieldBase;
}(_input.Input);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Textfield.TextfieldStyle), (0, _recompose.setDisplayName)('Textfield'), (0, _recompose.setPropTypes)({
  error: _propTypes2.default.string,
  autoFocus: _propTypes2.default.bool,
  value: _propTypes2.default.string,
  label: _propTypes2.default.string,
  multiLine: _propTypes2.default.bool
}), (0, _recompose.defaultProps)({
  type: 'text'
}));

exports.default = enhance(TextfieldBase);
//# sourceMappingURL=Textfield.js.map