'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToastBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _recompose = require('recompose');

var _reactPortal = require('react-portal');

var _reactPortal2 = _interopRequireDefault(_reactPortal);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Toast = require('./Toast.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ToastBase = exports.ToastBase = function (_Component) {
  _inherits(ToastBase, _Component);

  function ToastBase(props) {
    _classCallCheck(this, ToastBase);

    var _this = _possibleConstructorReturn(this, (ToastBase.__proto__ || Object.getPrototypeOf(ToastBase)).call(this, props));

    _this.state = {
      isOpened: props.isActive,
      isActive: props.isActive
    };
    return _this;
  }

  _createClass(ToastBase, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var _this2 = this;

      if (!this.state.isActive && nextProps.isActive && !this.isAnimating) {
        this.setState({ isOpened: true });
        this.animateIn = setTimeout(function () {
          return _this2.setState({ isActive: true });
        });
      }

      if (this.state.isActive && !nextProps.isActive) {
        this.setState({ isActive: false });
        this.isAnimating = true;

        this.animateOut = setTimeout(function () {
          _this2.isAnimating = false;
          if (_this2.props.isActive) {
            _this2.setState({ isActive: true });
          } else {
            _this2.setState({ isOpened: false });
          }
        }, 300);
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      clearTimeout(this.animateOut);
      clearTimeout(this.animateIn);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          Styled = _props.__StyledComponent__,
          props = _objectWithoutProperties(_props, ['__StyledComponent__']);

      return _react2.default.createElement(
        _reactPortal2.default,
        { isOpened: this.state.isOpened },
        _react2.default.createElement(
          Styled,
          _extends({}, props, { isActive: this.state.isActive }),
          props.children
        )
      );
    }
  }]);

  return ToastBase;
}(_react.Component);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Toast.ToastAnimation), (0, _recompose.setDisplayName)('Toast'), (0, _recompose.defaultProps)({
  position: 'left'
}), (0, _recompose.setPropTypes)({
  isActive: _propTypes2.default.bool,
  position: _propTypes2.default.string,
  children: _propTypes2.default.node
}));

exports.default = enhance(ToastBase);
//# sourceMappingURL=Toast.js.map