'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _recompose = require('recompose');

var _reactPortal = require('react-portal');

var _reactPortal2 = _interopRequireDefault(_reactPortal);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Tooltip = require('./Tooltip.style');

var _hocs = require('../../hocs');

var _getRelativePosition = require('../menu/getRelativePosition');

var _getRelativePosition2 = _interopRequireDefault(_getRelativePosition);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TooltipBase = exports.TooltipBase = function (_Component) {
  _inherits(TooltipBase, _Component);

  function TooltipBase() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, TooltipBase);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TooltipBase.__proto__ || Object.getPrototypeOf(TooltipBase)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      isVisible: false
    }, _this.setPosition = function () {
      _this.setState(_extends({}, _this.getPosition()));
    }, _this.setControl = function (ctrl) {
      _this.control = ctrl;
    }, _this.handleOpen = function () {
      _this.setState({ isOpened: true });
      _this.setPosition();
      window.addEventListener('scroll', _this.setPosition, true);
      _this.open = setTimeout(function () {
        _this.setState({ isVisible: true });
      }, _this.props.delay);
    }, _this.handleClose = function () {
      window.removeEventListener('scroll', _this.setPosition, true);
      clearTimeout(_this.open);
      _this.setState({ isOpened: false, isVisible: false });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(TooltipBase, [{
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('scroll', this.setPosition, true);
      clearTimeout(this.open);
    }
  }, {
    key: 'getPosition',
    value: function getPosition() {
      var control = (0, _getRelativePosition2.default)(this.control);
      var horizontalCenter = control.left + control.width / 2;
      var verticalCenter = control.top + control.height / 2;

      switch (this.props.position) {
        case 'below':
          return { x: horizontalCenter, y: control.bottom };
        case 'left':
          return { x: control.left, y: verticalCenter };
        case 'right':
          return { x: control.right, y: verticalCenter };
        default:
          return { x: horizontalCenter, y: control.top };
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          Styled = _props.__StyledComponent__,
          props = _objectWithoutProperties(_props, ['children', '__StyledComponent__']);

      return _react2.default.createElement(
        Styled,
        _extends({}, props, {
          onMouseEnter: this.handleOpen,
          onMouseLeave: this.handleClose,
          innerRef: this.setControl
        }),
        children,
        _react2.default.createElement(
          _reactPortal2.default,
          { isOpened: this.state.isOpened },
          _react2.default.createElement(
            _Tooltip.TooltipPosition,
            _extends({}, this.state, this.props),
            _react2.default.createElement(
              _Tooltip.TooltipStyle,
              { large: props.large, position: props.position },
              this.props.message
            )
          )
        )
      );
    }
  }]);

  return TooltipBase;
}(_react.Component);

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Tooltip.TooltipWrapper), (0, _recompose.setDisplayName)('Tooltip'), (0, _recompose.setPropTypes)({
  message: _propTypes2.default.node,
  children: _propTypes2.default.node,
  position: _propTypes2.default.string,
  delay: _propTypes2.default.number
}), (0, _recompose.defaultProps)({
  position: 'above',
  delay: 0
}));

exports.default = enhance(TooltipBase);
//# sourceMappingURL=Tooltip.js.map