'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable no-param-reassign, no-underscore-dangle */


var _lodash = require('lodash');

var _recompose = require('recompose');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var cloneComponent = function cloneComponent(component) {
  var cloned = component.__clonedFrom || component;

  function temp() {
    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return cloned.apply(this, args);
  }

  (0, _lodash.assignIn)(temp, component);

  temp.__clonedFrom = cloned;

  return temp;
};

var proxyPropStatic = function proxyPropStatic(propName, fnKey) {
  return function (Component) {
    Component[fnKey] = function staticFn() {
      var _defaultProps$propNam;

      var Cloned = cloneComponent(this);
      var NextStyledComponent = (_defaultProps$propNam = this.defaultProps[propName])[fnKey].apply(_defaultProps$propNam, arguments);
      Cloned.defaultProps = _extends({}, this.defaultProps, _defineProperty({}, propName, NextStyledComponent));

      return Cloned;
    };

    return Component;
  };
};

var passComponentAsProp = function passComponentAsProp(propName, childComponent) {
  return function (Component) {
    Component.defaultProps = _extends({}, Component.defaultProps, _defineProperty({}, propName, childComponent));

    return Component;
  };
};

var proxyStyledStatics = function proxyStyledStatics(StyledComponent) {
  var propName = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '__StyledComponent__';
  return (0, _recompose.compose)(proxyPropStatic(propName, 'withComponent'), proxyPropStatic(propName, 'extend'), passComponentAsProp(propName, StyledComponent));
};

exports.default = proxyStyledStatics;
//# sourceMappingURL=proxyStyledStatics.js.map