'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    *, *:before, *:after {\n      box-sizing: border-box;\n    }\n\n    body {\n      font-family: Helvetica, Arial, sans-serif;\n    }\n\n    body.fontLoaded {\n      font-family: \'', '\', Helvetica, Arial, sans-serif;\n    }\n\n    html {\n      width: 100%;\n      height: 100%;\n      margin: 0;\n      font-size: 14px;\n      line-height: 1.4;\n      -ms-touch-action: manipulation;\n      touch-action: manipulation;\n    }\n\n    body {\n      width: 100%;\n      min-height: 100%;\n      margin: 0;\n    }\n  '], ['\n    *, *:before, *:after {\n      box-sizing: border-box;\n    }\n\n    body {\n      font-family: Helvetica, Arial, sans-serif;\n    }\n\n    body.fontLoaded {\n      font-family: \'', '\', Helvetica, Arial, sans-serif;\n    }\n\n    html {\n      width: 100%;\n      height: 100%;\n      margin: 0;\n      font-size: 14px;\n      line-height: 1.4;\n      -ms-touch-action: manipulation;\n      touch-action: manipulation;\n    }\n\n    body {\n      width: 100%;\n      min-height: 100%;\n      margin: 0;\n    }\n  ']);

var _fontfaceobserver = require('fontfaceobserver');

var _fontfaceobserver2 = _interopRequireDefault(_fontfaceobserver);

var _styledComponents = require('styled-components');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var isBrowser = Object.prototype.toString.call(typeof process !== 'undefined' ? process : 0) !== '[object process]';

exports.default = function () {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$defaultFont = _ref.defaultFont,
      fontObserver = _ref$defaultFont === undefined ? 'Roboto' : _ref$defaultFont;

  if (isBrowser && fontObserver) {
    var fontLoaded = function fontLoaded() {
      return document.body.classList.add('fontLoaded');
    };
    var fontNotLoaded = function fontNotLoaded() {
      return document.body.classList.remove('fontLoaded');
    };

    var observer = new _fontfaceobserver2.default(fontObserver, {});
    observer.load().then(fontLoaded, fontNotLoaded);
  }

  // eslint-disable-next-line no-unused-expressions
  (0, _styledComponents.injectGlobal)(_templateObject, fontObserver);
};
//# sourceMappingURL=initGlobals.js.map