'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    transition-duration: ', ';\n    transition-timing-function: ', ';\n  '], ['\n    transition-duration: ', ';\n    transition-timing-function: ', ';\n  ']);

exports.materialAnimationFastOutSlowIn = materialAnimationFastOutSlowIn;
exports.materialAnimationLinearOutSlowIn = materialAnimationLinearOutSlowIn;
exports.materialAnimationFastOutLinearIn = materialAnimationFastOutLinearIn;
exports.materialAnimationDefault = materialAnimationDefault;

var _styledComponents = require('styled-components');

var _util = require('../util');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function materialAnimationFastOutSlowIn() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.2s';

  return (0, _styledComponents.css)(_templateObject, duration, _util.getters.animationCurveFastOutSlowIn);
}

function materialAnimationLinearOutSlowIn() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.2s';

  return (0, _styledComponents.css)(_templateObject, duration, _util.getters.animationCurveLinearOutSlowIn);
}

function materialAnimationFastOutLinearIn() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.2s';

  return (0, _styledComponents.css)(_templateObject, duration, _util.getters.animationCurveFastOutLinearIn);
}

function materialAnimationDefault() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.2s';

  return (0, _styledComponents.css)(_templateObject, duration, _util.getters.animationCurveDefault);
}
//# sourceMappingURL=animations.style.js.map