'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.footerHeadingColor = exports.footerColor = exports.footerBgColor = exports.tooltipBackgroundColor = exports.tooltipTextColor = exports.defaultDropdownBgColor = exports.disabledItemTextColor = exports.defaultItemDividerColor = exports.defaultItemActiveBgColor = exports.defaultItemFocusBgColor = exports.defaultItemHoverBgColor = exports.defaultItemOutlineColor = exports.defaultItemTextColor = exports.listAvatarColor = exports.listIconColor = exports.listSupportingTextTextColor = exports.listMainTextTextColor = exports.rangeBgFocusColor = exports.rangeBgColor = exports.cardSubtitleColor = exports.cardBorderColor = exports.cardSupportingTextTextColor = exports.cardTextColor = exports.cardBackgroundColor = exports.inputTextErrorColor = exports.inputTextBottomBorderColor = exports.inputTextLabelColor = exports.inputTextBackgroundColor = exports.spinnerColor4 = exports.spinnerColor3 = exports.spinnerColor2 = exports.spinnerColor1 = exports.switchDisabledTrackColor = exports.switchDisabledThumbColor = exports.switchOffTrackColor = exports.switchOffThumbColor = exports.checkboxDisabledColor = exports.checkboxOffColor = exports.tabBorderColor = exports.tabActiveTextColor = exports.tabTextColor = exports.layoutHeaderNavHoverColor = exports.layoutDrawerNavigationLinkActiveColor = exports.layoutDrawerNavigationLinkActiveBackground = exports.layoutDrawerNavigationColor = exports.layoutTextColor = exports.layoutDrawerBorderColor = exports.layoutDrawerBgColor = exports.layoutNavColor = exports.rippleBgColor = exports.radioDisabledColor = exports.radioOffColor = exports.iconToggleDisabledColor = exports.iconToggleColor = exports.buttonIconColor = exports.buttonSecondaryColorDisabled = exports.buttonPrimaryColorDisabled = exports.buttonFocusColor = exports.buttonActiveColor = exports.buttonSecondaryColor = exports.buttonPrimaryColor = exports.textLinkColor = exports.textColorPrimary = exports.colorAccentContrast = exports.colorPrimaryContrast = exports.colorAccent = exports.colorPrimaryDark = exports.colorPrimary = undefined;

var _colorDefinitions = require('../colorDefinitions');

var _colors = require('../../util/colors');

/* ==========  General  ========== */

// Use color primarily for emphasis. Choose colors that fit with
// your brand and provide good contrast between visual components.
var colorPrimary = exports.colorPrimary = _colorDefinitions.indigo[500];
var colorPrimaryDark = exports.colorPrimaryDark = _colorDefinitions.indigo[700];
var colorAccent = exports.colorAccent = _colorDefinitions.pink[500];

// Our primary is dark, so use colorDarkContrast for overlaid text.
var colorPrimaryContrast = exports.colorPrimaryContrast = _colorDefinitions.darkContrast;
// Our accent is dark, so use conlorDarkContrast for overlaid text.
var colorAccentContrast = exports.colorAccentContrast = _colorDefinitions.darkContrast;

/* ==========  Typography  ========== */

// We use the following default color styles: textColorPrimary and
// textColorSecondary. For light themes, use textColorPrimaryInverse
// and textColorSecondaryInverse.
var textColorPrimary = exports.textColorPrimary = (0, _colors.rgba)(_colorDefinitions.black, 0.87);
var textLinkColor = exports.textLinkColor = (0, _colors.rgb)(_colorDefinitions.pink[700]);

/* ==========  Components  ========== */

/* ==========  Standard Buttons  ========== */

// Default button colors.
var buttonPrimaryColor = exports.buttonPrimaryColor = (0, _colors.rgba)(_colorDefinitions.grey[500], 0.2);
var buttonSecondaryColor = exports.buttonSecondaryColor = (0, _colors.rgb)(_colorDefinitions.black);
var buttonActiveColor = exports.buttonActiveColor = (0, _colors.rgba)(_colorDefinitions.grey[500], 0.4);
var buttonFocusColor = exports.buttonFocusColor = (0, _colors.rgba)(_colorDefinitions.black, 0.12);

// Disabled button colors.
var buttonPrimaryColorDisabled = exports.buttonPrimaryColorDisabled = (0, _colors.rgba)(_colorDefinitions.black, 0.12);
var buttonSecondaryColorDisabled = exports.buttonSecondaryColorDisabled = (0, _colors.rgba)(_colorDefinitions.black, 0.26);

// Icon button colors and sizes.
var buttonIconColor = exports.buttonIconColor = (0, _colors.rgb)(_colorDefinitions.grey[700]);

/* ==========  Icon Toggles  ========== */

var iconToggleColor = exports.iconToggleColor = (0, _colors.rgb)(_colorDefinitions.grey[700]);
var iconToggleDisabledColor = exports.iconToggleDisabledColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);

/* ==========  Radio Buttons  ========== */

var radioOffColor = exports.radioOffColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);
var radioDisabledColor = exports.radioDisabledColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);

/* ==========  Ripple effect  ========== */

var rippleBgColor = exports.rippleBgColor = (0, _colors.rgb)(_colorDefinitions.lightContrast);

/* ==========  Layout  ========== */

var layoutNavColor = exports.layoutNavColor = (0, _colors.rgb)(_colorDefinitions.grey[300]);

// Drawer
var layoutDrawerBgColor = exports.layoutDrawerBgColor = (0, _colors.rgb)(_colorDefinitions.grey[50]);
var layoutDrawerBorderColor = exports.layoutDrawerBorderColor = (0, _colors.rgb)(_colorDefinitions.grey[300]);
var layoutTextColor = exports.layoutTextColor = (0, _colors.rgb)(_colorDefinitions.grey[800]);
var layoutDrawerNavigationColor = exports.layoutDrawerNavigationColor = '#757575';
var layoutDrawerNavigationLinkActiveBackground = exports.layoutDrawerNavigationLinkActiveBackground = (0, _colors.rgb)(_colorDefinitions.grey[300]);
var layoutDrawerNavigationLinkActiveColor = exports.layoutDrawerNavigationLinkActiveColor = (0, _colors.rgb)(_colorDefinitions.lightContrast);

// Header
var layoutHeaderNavHoverColor = exports.layoutHeaderNavHoverColor = (0, _colors.rgba)(_colorDefinitions.grey[700], 0.6);

// Tabs

/* ==========  Content Tabs  ========== */

var tabTextColor = exports.tabTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);
var tabActiveTextColor = exports.tabActiveTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.87);
var tabBorderColor = exports.tabBorderColor = (0, _colors.rgb)(_colorDefinitions.grey[300]);

/* ==========  Checkboxes  ========== */

var checkboxOffColor = exports.checkboxOffColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);
var checkboxDisabledColor = exports.checkboxDisabledColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);

/* ==========  Switches  ========== */

var switchOffThumbColor = exports.switchOffThumbColor = (0, _colors.rgb)(_colorDefinitions.grey[50]);
var switchOffTrackColor = exports.switchOffTrackColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);
var switchDisabledThumbColor = exports.switchDisabledThumbColor = (0, _colors.rgb)(_colorDefinitions.grey[400]);
var switchDisabledTrackColor = exports.switchDisabledTrackColor = (0, _colors.rgba)(_colorDefinitions.black, 0.12);

/* ==========  Spinner  ========== */

var spinnerColor1 = exports.spinnerColor1 = (0, _colors.rgb)(_colorDefinitions.blue[400]);
var spinnerColor2 = exports.spinnerColor2 = (0, _colors.rgb)(_colorDefinitions.red[500]);
var spinnerColor3 = exports.spinnerColor3 = (0, _colors.rgb)(_colorDefinitions.yellow[600]);
var spinnerColor4 = exports.spinnerColor4 = (0, _colors.rgb)(_colorDefinitions.green[500]);

/* ==========  Text fields  ========== */

var inputTextBackgroundColor = exports.inputTextBackgroundColor = 'transparent';
var inputTextLabelColor = exports.inputTextLabelColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);
var inputTextBottomBorderColor = exports.inputTextBottomBorderColor = (0, _colors.rgba)(_colorDefinitions.black, 0.12);
var inputTextErrorColor = exports.inputTextErrorColor = (0, _colors.rgb)(_colorDefinitions.red[700]);

/* ==========  Card  ========== */

var cardBackgroundColor = exports.cardBackgroundColor = (0, _colors.rgb)(_colorDefinitions.white);
var cardTextColor = exports.cardTextColor = (0, _colors.rgb)(_colorDefinitions.black);
var cardSupportingTextTextColor = exports.cardSupportingTextTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);
var cardBorderColor = exports.cardBorderColor = 'rgba(0,0,0,0.1)';
var cardSubtitleColor = exports.cardSubtitleColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);

/* ==========  Sliders ========== */

var rangeBgColor = exports.rangeBgColor = (0, _colors.rgba)(_colorDefinitions.black, 0.26);
var rangeBgFocusColor = exports.rangeBgFocusColor = (0, _colors.rgba)(_colorDefinitions.black, 0.12);

/* ==========  List ========== */

var listMainTextTextColor = exports.listMainTextTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.87);
var listSupportingTextTextColor = exports.listSupportingTextTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.54);
var listIconColor = exports.listIconColor = (0, _colors.rgb)(_colorDefinitions.grey[600]);
var listAvatarColor = exports.listAvatarColor = (0, _colors.rgb)(_colorDefinitions.white);

/* ==========  Item ========== */

// Default Item Colors
var defaultItemTextColor = exports.defaultItemTextColor = (0, _colors.rgba)(_colorDefinitions.black, 0.87);
var defaultItemOutlineColor = exports.defaultItemOutlineColor = (0, _colors.rgb)(_colorDefinitions.grey[400]);
var defaultItemHoverBgColor = exports.defaultItemHoverBgColor = (0, _colors.rgb)(_colorDefinitions.grey[200]);
var defaultItemFocusBgColor = exports.defaultItemFocusBgColor = (0, _colors.rgb)(_colorDefinitions.grey[200]);
var defaultItemActiveBgColor = exports.defaultItemActiveBgColor = (0, _colors.rgb)(_colorDefinitions.grey[300]);
var defaultItemDividerColor = exports.defaultItemDividerColor = (0, _colors.rgba)(_colorDefinitions.black, 0.12);

// Disabled Button Colors
var disabledItemTextColor = exports.disabledItemTextColor = (0, _colors.rgb)(_colorDefinitions.grey[400]);

/* ==========  Dropdown menu ========== */

var defaultDropdownBgColor = exports.defaultDropdownBgColor = (0, _colors.rgb)(_colorDefinitions.white);

/* ==========  Tooltips  ========== */

var tooltipTextColor = exports.tooltipTextColor = (0, _colors.rgb)(_colorDefinitions.white);
var tooltipBackgroundColor = exports.tooltipBackgroundColor = (0, _colors.rgba)(_colorDefinitions.grey[700], 0.9);

/* ==========  Footer  ========== */

var footerBgColor = exports.footerBgColor = (0, _colors.rgb)(_colorDefinitions.grey[800]);
var footerColor = exports.footerColor = (0, _colors.rgb)(_colorDefinitions.grey[500]);
var footerHeadingColor = exports.footerHeadingColor = (0, _colors.rgb)(_colorDefinitions.grey[300]);
//# sourceMappingURL=defaults.js.map