'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defaults = require('./defaults');

var defaults = _interopRequireWildcard(_defaults);

var _createThemer = require('../createThemer');

var _createThemer2 = _interopRequireDefault(_createThemer);

var _colors = require('../../util/colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = (0, _createThemer2.default)(defaults, function (theme) {
  return {
    /* ========== Buttons  ========== */

    // Default button colors.
    buttonHoverColor: theme.buttonPrimaryColor,

    // Colored button colors.
    buttonPrimaryColorAlt: (0, _colors.rgb)(theme.colorPrimary),
    buttonSecondaryColorAlt: (0, _colors.rgb)(theme.colorPrimaryContrast),
    buttonHoverColorAlt: (0, _colors.rgb)(theme.colorPrimary),
    buttonActiveColorAlt: (0, _colors.rgb)(theme.colorPrimary),
    buttonFocusColorAlt: theme.buttonFocusColor,

    // Ripple color for colored raised buttons.
    buttonRippleColorAlt: (0, _colors.rgb)(theme.colorPrimaryContrast),

    // FAB colors and sizes.
    buttonFabColorAlt: (0, _colors.rgb)(theme.colorAccent),
    buttonFabHoverColorAlt: (0, _colors.rgb)(theme.colorAccent),
    buttonFabActiveColorAlt: (0, _colors.rgb)(theme.colorAccent),
    buttonFabTextColorAlt: (0, _colors.rgb)(theme.colorAccentContrast),
    buttonFabRippleColorAlt: (0, _colors.rgb)(theme.colorAccentContrast),

    // Icon button colors and sizes.
    buttonIconFocusColor: theme.buttonFocusColor,

    /* ==========  Icon Toggles  ========== */
    iconToggleFocusColor: theme.buttonFocusColor,
    iconToggleCheckedColor: (0, _colors.rgb)(theme.colorPrimary),
    iconToggleCheckedFocusColor: (0, _colors.rgba)(theme.colorPrimary, 0.26),

    /* ==========  Radio Buttons  ========== */
    radioColor: (0, _colors.rgb)(theme.colorPrimary),

    /* ========== Header  ========== */
    layoutHeaderBgColor: (0, _colors.rgb)(theme.colorPrimary),
    layoutHeaderTextColor: (0, _colors.rgb)(theme.colorPrimaryContrast),
    layoutHeaderTabTextColor: (0, _colors.rgba)(theme.colorPrimaryContrast, 0.6),

    /* ==========  Tabs  ========== */
    layoutHeaderTabHighlight: (0, _colors.rgb)(theme.colorAccent),
    tabHighlightColor: (0, _colors.rgb)(theme.colorPrimary),

    /* ==========  Checkboxes  ========== */
    checkboxColor: (0, _colors.rgb)(theme.colorPrimary),
    checkboxFocusColor: (0, _colors.rgba)(theme.colorPrimary, 0.26),

    /* ==========  Switches  ========== */
    switchColor: (0, _colors.rgb)(theme.colorPrimary),
    switchFadedColor: (0, _colors.rgba)(theme.colorPrimary, 0.26),
    switchThumbColor: (0, _colors.rgb)(theme.colorPrimary) || theme.switchColor,
    switchTrackColor: (0, _colors.rgba)(theme.colorPrimary, 0.5),

    /* ==========  Spinner  ========== */
    spinnerSingleColor: (0, _colors.rgb)(theme.colorPrimary),

    /* ==========  Text fields  ========== */
    inputTextHighlightColor: (0, _colors.rgb)(theme.colorPrimary),
    inputTextDisabledColor: theme.inputTextBottomBorderColor,
    inputTextDisabledTextColor: theme.inputTextLabelColor,

    /* ==========  Card  ========== */
    cardImagePlaceholderColor: (0, _colors.rgb)(theme.colorAccent),

    /* ==========  Sliders ========== */
    rangeColor: (0, _colors.rgb)(theme.colorPrimary),
    rangeFadedColor: (0, _colors.rgba)(theme.colorPrimary, 0.26),

    /* ========== Progress ========== */
    progressMainColor: (0, _colors.rgb)(theme.colorPrimary),
    progressSecondaryColor: (0, _colors.rgba)(theme.colorPrimaryContrast, 0.7),
    progressFallbackBufferColor: (0, _colors.rgba)(theme.colorPrimaryContrast, 0.9),

    /* ========== Footer ========== */
    footerButtonFillColor: theme.footerColor,
    footerUnderlineColor: theme.footerColor
  };
});
//# sourceMappingURL=index.js.map