'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createTheme;

var _reduce = require('lodash/reduce');

var _reduce2 = _interopRequireDefault(_reduce);

var _assign = require('lodash/assign');

var _assign2 = _interopRequireDefault(_assign);

var _animation = require('./animation');

var _animation2 = _interopRequireDefault(_animation);

var _badge = require('./badge');

var _badge2 = _interopRequireDefault(_badge);

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

var _card = require('./card');

var _card2 = _interopRequireDefault(_card);

var _chip = require('./chip');

var _chip2 = _interopRequireDefault(_chip);

var _colorDefinitions = require('./colorDefinitions');

var colorDefinitions = _interopRequireWildcard(_colorDefinitions);

var _colors = require('./colors');

var _colors2 = _interopRequireDefault(_colors);

var _dataTable = require('./dataTable');

var _dataTable2 = _interopRequireDefault(_dataTable);

var _dialog = require('./dialog');

var _dialog2 = _interopRequireDefault(_dialog);

var _footer = require('./footer');

var _footer2 = _interopRequireDefault(_footer);

var _grid = require('./grid');

var _grid2 = _interopRequireDefault(_grid);

var _iconToggle = require('./iconToggle');

var _iconToggle2 = _interopRequireDefault(_iconToggle);

var _layout = require('./layout');

var _layout2 = _interopRequireDefault(_layout);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

var _menu = require('./menu');

var _menu2 = _interopRequireDefault(_menu);

var _progress = require('./progress');

var _progress2 = _interopRequireDefault(_progress);

var _radio = require('./radio');

var _radio2 = _interopRequireDefault(_radio);

var _shadows = require('./shadows');

var _shadows2 = _interopRequireDefault(_shadows);

var _snackbar = require('./snackbar');

var _snackbar2 = _interopRequireDefault(_snackbar);

var _spinner = require('./spinner');

var _spinner2 = _interopRequireDefault(_spinner);

var _switch = require('./switch');

var _switch2 = _interopRequireDefault(_switch);

var _textField = require('./textField');

var _textField2 = _interopRequireDefault(_textField);

var _tooltip = require('./tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _typography = require('./typography');

var _typography2 = _interopRequireDefault(_typography);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var themers = [_animation2.default, _badge2.default, _button2.default, _card2.default, _chip2.default, _colors2.default, _dataTable2.default, _dialog2.default, _footer2.default, _grid2.default, _iconToggle2.default, _layout2.default, _list2.default, _menu2.default, _progress2.default, _radio2.default, _shadows2.default, _snackbar2.default, _spinner2.default, _switch2.default, _textField2.default, _tooltip2.default, _typography2.default];

function createTheme() {
  var overrides = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var compiled = (0, _reduce2.default)(themers, function (theme, themer) {
    return (0, _assign2.default)({}, theme, themer(overrides));
  }, {});

  return (0, _assign2.default)({}, colorDefinitions, compiled, overrides);
}
//# sourceMappingURL=createTheme.js.map