'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _lodash = require('lodash');

var _theme = require('../theme');

var _colors = require('./colors');

var getters = (0, _lodash.mapValues)(_theme.defaultTheme, function (v, k) {
  return function (p) {
    return p.theme[k];
  };
});

getters.fg = function (p) {
  return p.theme.fg || p.theme.textColorPrimary;
};
getters.bg = function (p) {
  return p.theme.bg || 'rgb(' + p.theme.white + ')';
};

getters.rgb = function (base, value) {
  return function (p) {
    return (0, _colors.rgb)(p.theme[base][value]);
  };
};
getters.rgba = function (base, value, alpha) {
  return function (p) {
    return (0, _colors.rgba)(p.theme[base][value], alpha);
  };
};
getters.rgbFromProp = function (prop, fallback) {
  return function (p) {
    var color = p[prop];

    if (!color) {
      return fallback ? fallback(p) : 'none';
    }

    var _color$split = color.split('|'),
        _color$split2 = _slicedToArray(_color$split, 2),
        base = _color$split2[0],
        _color$split2$ = _color$split2[1],
        value = _color$split2$ === undefined ? 500 : _color$split2$;

    return (0, _colors.rgb)(p.theme[base][parseInt(value, 10)]);
  };
};

exports.default = getters;
//# sourceMappingURL=getters.js.map